/* ------------- Mobile -------------------- */
/* Header Destop */
.mobile-burger-menu {
  display: none;
}

/* Home Page Destop */
.lookup-1 .right-side-1-mobile,
.lookup-2 .right-side-2-mobile,
.lookup-3 .right-side-3-mobile {
  display: none;
}

@media only screen and (max-width: 767px) {
  html {
    font-size: 11px;
  }
  body {
    overflow-x: hidden;
  }
  .main-page-sec1,
  .main-page-sec2 {
    padding: 0 10%;
  }
  .other-main {
    margin-top: 20px;
  }
  /* Header Mobile */
  header {
    display: none;
  }
  .mobile-burger-menu {
    background-color: #202020;
    height: 10vh;
    width: 100%;
    z-index: 10;
    position: relative;
    display: flex;
  }
  .inner-header-mobile {
    display: flex;
    justify-content: space-between;
    align-items: center;
    height: 100%;
    width: 100%;
    padding: 0 2rem;
  }
  .inner-header-mobile img,
  .mobile-logo img {
    aspect-ratio: 3.61/1;
  }
  .mobile-burger-menu .lang-btn {
    font-size: 2.5rem;
    font-weight: 600;
    color: white;
    text-decoration: none;
    font-family: math;
  }
  .mobile-menu {
    position: absolute;
    left: 0;
    top: 0;
    height: 0vh;
    width: 0%;
    transition: width 0.5s ease-in-out;
    overflow: hidden;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    padding: 0;
    box-sizing: border-box;
    background-image: url(./../assets/Images/mobile-background-menu-footer.webp);
    background-position: bottom;
    background-size: 100% 100%;
  }
  .mobile-menu-icon {
    width: 20px;
    height: 20px;
    display: flex;
    flex-direction: column;
    justify-content: space-around;
    cursor: pointer;
  }
  .mobile-menu-icon span {
    width: 100%;
    height: 2px;
    background-color: white;
  }
  .mobile-menu .close-button {
    color: white;
    font-size: 20px;
    width: 20px;
    height: 20px;
    display: flex;
    overflow: hidden;
    justify-content: center;
    align-items: center;
    text-align: center;
  }
  .mobile-logo {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    padding: 0 2rem;
    align-items: center;
    height: 10vh;
    box-sizing: border-box;
    background-color: #202020;
  }

  .menu-mobile-wrapper {
    height: 80vh;
    padding: 1vh 2rem;
  }
  .cta-header-mobile {
    display: flex;
    width: 95%;
    height: 5vh;
    margin-bottom: 1vh;
    align-self: center;
  }
  .cta-header-mobile a {
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    background: linear-gradient(82.67deg, #ff2566b2 3.22%, #a75098b2 99.29%);
  }
  /* Header Menu */
  .menu-ul-mobile {
    display: flex;
    flex-direction: column;
    height: auto;
    margin-block: 0;
    padding-inline: 0;
  }
  .menu-ul-mobile a {
    color: #d8d6d6;
    text-decoration: none;
  }
  .menu-ul-mobile > li {
    margin-bottom: 32px;
    transition: 0.5s ease-in-out;
    color: #d8d6d6;
  }
  .menu-ul-mobile > li > ul {
    display: none;
    flex-direction: column;
    padding-inline-start: 10px;
    transition: 0.5s ease-in-out;
  }

  .menu-ul-mobile > li > a {
    font-size: 18px;
    font-weight: 500;
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: space-between;
  }
  .menu-ul-mobile > li:nth-of-type(1) > a,
  .menu-ul-mobile > li:nth-of-type(2) > a {
    pointer-events: none;
  }
  .menu-ul-mobile > li:nth-of-type(1) > a::after,
  .menu-ul-mobile > li:nth-of-type(2) > a::after {
    content: "\f107";
    font-family: FontAwesome;
    font-size: 2rem;
    padding-left: 0.375rem;
    position: relative;
    top: -1px;
    display: inline-flex;
  }
  .menu-ul-mobile > li.active > a::after {
    color: #ff2566;
    transform: scale(1, -1);
  }
  .menu-ul-mobile > li > ul > li {
    margin-bottom: 10px;
    margin-top: 10px;
  }
  .menu-ul-mobile > li > ul > li > a {
    font-size: 16px;
    font-weight: 400;
  }

  /* Home Page */
  .scroll-operation {
    width: 100%;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    margin-top: 1rem;
  }
  .scroll-operation section {
    width: 90%;
    height: auto;
  }
  .lookup-1,
  .lookup-2,
  .lookup-3 {
    display: flex;
    flex-direction: column-reverse;
    justify-content: center;
    align-items: center;
    padding: 0;
    margin-bottom: 6rem;
    margin-top: 0;
  }
  .lookup-1 .left-side,
  .lookup-2 .left-side,
  .lookup-3 .left-side {
    opacity: 1;
    align-items: center;
    text-align: center;
    width: 100%;
    max-height: 100%;
  }
  .lookup-1 .right-side,
  .lookup-2 .right-side,
  .lookup-3 .right-side,
  .outer-lower-dashes {
    display: none;
  }
  .lookup-1 .right-side-mobile,
  .lookup-2 .right-side-mobile,
  .lookup-3 .right-side-mobile {
    display: flex;
    justify-content: center;
    width: 100%;
    margin-bottom: 2rem;
  }
  .pin-spacer {
    padding: 0;
  }
  .lookup-1 img,
  .lookup-2 img,
  .lookup-3 img {
    max-width: 100%;
    aspect-ratio: 1.86/1;
  }

  .trusted-by {
    flex-wrap: wrap;
  }
  .trusted-by .image-box {
    width: 100%;
    margin: 5%;
  }
  .case-studies-box-home > h5 {
    width: 95%;
  }
  /* Projects and Service page */
  .products-cta-comp {
    flex-direction: column;
    height: auto;
    align-items: center;
    max-height: none;
  }
  .products-cta-comp img {
    margin-top: 3rem;
    width: 100%;
  }
  /* Components*/
  .headline-component,
  .paragraph-component {
    text-align: center;
  }
  .input-button {
    width: 100%;
    height: auto;
  }
  .black-cta-box a {
    width: 80%;
  }
  .blog-post-long {
    max-height: 35rem;
  }
  .the-6-box .row {
    flex-direction: column;
    justify-content: center;
  }
  .blogposts-section {
    grid-template-columns: 100%;
    row-gap: 2rem;
  }
  .prod-cta-mobile-reverse {
    flex-direction: column-reverse;
  }
  .products-cta-comp > div {
    width: 100%;
  }
  .black-cta-box {
    padding: 0 1rem;
  }
  .black-cta-box .headline {
    text-align: center;
  }
  /*  Main Sliders */
  .our-projects-slider .indicator .btn,
  .testomonials-slider .indicator .btn {
    width: 1.75rem;
    height: 0.6rem;
    margin: 0.75rem;
  }
  .our-projects-slider .btn.active,
  .testomonials-slider .btn.active {
    width: 3rem;
  }
  .our-projects-slider .indicator,
  .testomonials-slider .indicator {
    margin-top: 1rem;
  }
  .our-projects-slider .controls span {
    font-size: 2.5rem;
    font-weight: 600;
  }
  .our-projects-slider .controls a {
    margin: 0 1.25rem;
  }
  .testomonials-slider .indicator .back,
  .indicator .front {
    font-weight: 700;
    font-size: 3rem;
    margin: 0 0.75rem;
  }
  .our-projects-slider .hero {
    height: 25rem;
  }
  /* Contact Us*/
  .contact-form-page {
    padding: 0;
    flex-direction: column;
  }
  .contact-form-content-box {
    background-image: url(./../assets/Images/Contact-Us/bigback.png);
  }
  .contact-form-content-box h1 {
    text-align: center;
  }
  .contact-form-form-box form > p {
    flex-direction: column;
    height: 120px;
  }
  .contact-form-form-box form > p:nth-of-type(3),
  .contact-form-form-box form > p:nth-of-type(4),
  .contact-form-form-box form > p:nth-of-type(5) {
    height: 70px;
  }
  .contact-form-form-box form > p:nth-of-type(3) {
    margin-top: 14px;
  }
  .contact-form-form-box form p:nth-of-type(2) span:nth-of-type(2) {
    max-width: 100%;
  }
  /* Single Page and Search form */
  .search-form div {
    width: 50%;
  }
  .single-page {
    margin: 5%;
  }
  .single-page .popularposts-mobile {
    display: block;
  }
  .the-post .inner-post-content {
    max-width: none;
    width: 100%;
  }
  .single-page .inner-post {
    flex-direction: column;
  }
  .popularposts-desktop {
    width: 99%;
    padding-inline-start: 1%;
  }
  /* About Us*/
  .about-us-cta-reverse-mobile.products-cta-comp {
    flex-direction: column-reverse;
  }
  /* Footer */
  .footer {
    background-image: url(./../assets/Images/mobile-background-menu-footer.webp);
    background-position: bottom;
    padding: 4rem 2rem 0 2rem;
  }
  .footer .main-footer {
    display: flex;
    height: auto;
    flex-direction: column;
    padding: 0;
  }
  .footer .main-footer > div {
    margin-bottom: 32px;
  }
  .footer-menu-ul {
    padding-inline: 0;
    width: 100%;
  }
  .footer-menu-ul > li {
    margin-bottom: 1rem;
  }
  .footer-menu-ul .sub-menu {
    display: none;
  }
  .footer-menu-ul > li > a {
    display: flex;
    justify-content: space-between;
    align-items: center;
    font-size: 18px;
    font-weight: 500;
  }
  .footer-menu-ul > li:nth-of-type(1) > a::after,
  .footer-menu-ul > li:nth-of-type(2) > a::after {
    content: "\f107";
    font-family: FontAwesome;
    font-size: 1rem;
    padding-left: 0.375rem;
    position: relative;
    top: -1px;
    display: inline-flex;
  }
  .footer-menu-ul > li.active > a::after {
    color: #ff2566;
    transform: scale(1, -1);
  }
  .footer .main-footer .subscribe-form {
    margin-bottom: 2.5rem;
  }
  .footer .main-footer .sec-1 {
    flex-direction: row;
  }
  .footer .main-footer .sec-1 p {
    font-size: 14px;
    margin: 0 1rem;
  }
  .footer-logo {
    max-width: 107px;
  }
  /* Library*/
  .postsbox-contentlib {
    display: flex;
    flex-direction: column;
  }
  .pagination-contentlib ul {
    padding-inline: 0;
  }
}

@media only screen and (max-width: 500px) {
  .main-page-sec1,
  .main-page-sec2 {
    padding: 0 5%;
  }
  .testomonials-slider .slide-col,
  .our-projects-slider .slide-col {
    scale: 0.8;
  }
}
